Package eu.mhsl.minenet.minigames.server.provider

# Class ByPlayerNameUuidProvider

java.lang.Object
eu.mhsl.minenet.minigames.server.provider.ByPlayerNameUuidProvider

All Implemented Interfaces:
  `net.minestom.server.network.UuidProvider`

public class ByPlayerNameUuidProvider extends Object implements net.minestom.server.network.UuidProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByPlayerNameUuidProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `provide(net.minestom.server.network.player.PlayerConnection playerConnection, String username)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByPlayerNameUuidProvider

    public ByPlayerNameUuidProvider()

- ## Method Details

  - ### provide

    public UUID provide(net.minestom.server.network.player.PlayerConnection playerConnection, String username)
    Specified by:
      `provide` in interface `net.minestom.server.network.UuidProvider`